Bug 504928 - "resync failed" kernel messages freezing the trackpad and UI on Mini 12
"resync failed" kernel messages freezing the trackpad and UI on Mini 12
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-09 23:35 EDT by Steve Milner
Modified: 2010-06-28 08:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:50:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (36.61 KB, text/plain)
2009-06-09 23:35 EDT, Steve Milner
no flags Details

  None (edit)
Description Steve Milner 2009-06-09 23:35:02 EDT
Created attachment 347137 [details]
dmesg output

Description of problem:
The trackpad on my Dell Mini 12 freezes every few minutes. Until I hit the power button, the trackpad won't move. After hitting the power button a new kernel log entry is listed (TouchPad at ... see Additional info) and the trackpad works again for a few minutes.

Note that was an issue at one point with F10 but subsided after some kernel updates.

Version-Release number of selected component (if applicable):
[root@agent etc]# uname -a
Linux agent 2.6.29.4-167.fc11.i586 #1 SMP Wed May 27 17:14:37 EDT 2009 i686 i686 i386 GNU/Linux
[root@agent etc]# lsmod 
Module                  Size  Used by
fuse                   49748  2 
sco                     9356  2 
bridge                 41488  0 
stp                     1944  1 bridge
llc                     4780  2 bridge,stp
bnep                   10888  2 
l2cap                  18884  3 bnep
bluetooth              44776  5 sco,bnep,l2cap
sunrpc                152364  1 
ip6t_REJECT             3160  2 
nf_conntrack_ipv6      11368  2 
ip6table_filter         3136  1 
ip6_tables             10728  1 ip6table_filter
ipv6                  232324  20 ip6t_REJECT,nf_conntrack_ipv6
cpufreq_ondemand        6052  2 
acpi_cpufreq            8212  0 
dm_multipath           13512  0 
uinput                  6496  0 
uvcvideo               49752  0 
pcspkr                  2156  0 
i2c_isch                3880  0 
joydev                  8972  0 
snd_hda_codec_realtek   189436  1 
videodev               32216  1 uvcvideo
i2c_core               18056  1 i2c_isch
v4l1_compat            11560  2 uvcvideo,videodev
usb_storage            82508  0 
snd_hda_intel          23920  2 
snd_hda_codec          54264  2 snd_hda_codec_realtek,snd_hda_intel
snd_hwdep               6580  1 snd_hda_codec
snd_pcm                62520  2 snd_hda_intel,snd_hda_codec
snd_timer              17896  1 snd_pcm
snd                    49044  10 snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm,snd_timer
video                  17360  0 
soundcore               5404  1 snd
r8169                  28232  0 
output                  2364  1 video
snd_page_alloc          7572  2 snd_hda_intel,snd_pcm
mii                     4008  1 r8169
ata_generic             4312  0 
pata_acpi               3668  0 
pata_sch                3172  2 
xts                     2812  1 
gf128mul                6772  1 xts
aes_i586                7492  2 
aes_generic            26940  1 aes_i586
dm_crypt               11048  1 
[root@agent etc]# 


How reproducible:
An issue every time I've booted the machine today :-). I

Steps to Reproduce:
1. Install from LiveCD on a Dell Mini 12
  
Actual results:
Trackpad seems to lock up as well as the UI.

Expected results:
Trackpad doesn't lock up.

Additional info:
This also is happening during startup. It looks as if services are hanging, but if I hit the power button then things start moving again. dmesg is attached.

Example from /var/log/messages
Jun  9 23:11:11 agent kernel: psmouse.c: resync failed, issuing reconnect request
Jun  9 23:13:18 agent kernel: psmouse.c: TouchPad at isa0060/serio1/input0 lost synchronization, throwing 3 bytes away.
Jun  9 23:13:18 agent kernel: psmouse.c: resync failed, issuing reconnect request
Jun  9 23:13:25 agent kernel: psmouse.c: TouchPad at isa0060/serio1/input0 lost synchronization, throwing 3 bytes away.
Jun  9 23:13:26 agent kernel: psmouse.c: resync failed, issuing reconnect request
Jun  9 23:14:12 agent kernel: psmouse.c: TouchPad at isa0060/serio1/input0 lost synchronization, throwing 4 bytes away.
Jun  9 23:14:12 agent kernel: psmouse.c: resync failed, issuing reconnect request
Jun  9 23:16:11 agent kernel: psmouse.c: TouchPad at isa0060/serio1/input0 lost synchronization, throwing 1 bytes away.
Jun  9 23:16:14 agent kernel: psmouse.c: resync failed, issuing reconnect request
Jun  9 23:18:04 agent kernel: psmouse.c: TouchPad at isa0060/serio1/input0 lost synchronization, throwing 3 bytes away.
Jun  9 23:18:05 agent kernel: psmouse.c: resync failed, issuing reconnect request
Comment 1 Steve Milner 2009-06-11 09:46:10 EDT
Today I found that adding pci=noacpi to the kernel line seems to keep the issue from occurring.
Comment 2 Steve Milner 2009-06-11 10:00:55 EDT
Correction, it makes the issue occur less often.
Comment 3 Jason Haar 2010-01-19 23:28:53 EST
I'm seeing this under F12 with a Dell D430 laptop.

It seems related to sleep mode. I can have the laptop running for days on A/C with no problems, but put it to sleep (not hibernate) and wake it up and it feels like a 20-30% chance the thing will "freeze" within 10-60min.

Most of the time I cannot fix it and nothing shows in syslog/dmesg. Xwindows shows the mouse still moves, but the keyboard doesn't work. However (just to contradict myself) *sometimes* Ctr-Alt-F2 works and I can tty-login. Normally I have to reboot to fix it, but sometimes while I'm fiddling the following appears in syslog and it starts working again

kernel: psmouse.c: DualPoint TouchPad at isa0060/serio1/input0 lost synchronization, throwing 3 bytes away.
kernel: psmouse.c: resync failed, issuing reconnect request

I'm currently running 2.6.31.9-174.fc12.i686.PAE, but this has happened ever since installing F12 (I'm sure it happened LESS under F11 - but it happened there too). 

lsmod

Module                  Size  Used by
vfat                    8744  0 
fat                    41836  1 vfat
usb_storage            47236  0 
berry_charge            3768  0 
ppdev                   8200  0 
parport_pc             22748  0 
lp                      8896  0 
parport                29300  3 ppdev,parport_pc,lp
tun                    12508  2 
fuse                   52740  2 
rfcomm                 58236  4 
sco                    16184  2 
bridge                 43992  0 
stp                     1988  1 bridge
llc                     4960  2 bridge,stp
bnep                   15028  2 
l2cap                  32564  16 rfcomm,bnep
vboxnetadp              6992  0 
vboxnetflt             13352  0 
vboxdrv               141920  2 vboxnetadp,vboxnetflt
autofs4                22032  3 
sunrpc                158432  1 
xt_pkttype              1404  4 
ipt_LOG                 5192  2 
xt_owner                2284  3 
ip6t_REJECT             4620  2 
nf_conntrack_ipv6      17548  2 
ip6table_filter         3168  1 
ip6_tables             11144  1 ip6table_filter
ipv6                  239436  37 ip6t_REJECT,nf_conntrack_ipv6
cpufreq_ondemand        6160  2 
acpi_cpufreq            8848  0 
dm_multipath           14472  0 
uinput                  6852  0 
arc4                    1616  2 
snd_hda_codec_idt      53136  1 
ecb                     2492  2 
snd_hda_intel          25192  2 
snd_hda_codec          60584  2 snd_hda_codec_idt,snd_hda_intel
iwl3945                97212  0 
snd_hwdep               6900  1 snd_hda_codec
snd_seq                46960  0 
iwlcore               143388  1 iwl3945
snd_seq_device          6232  1 snd_seq
iTCO_wdt               10444  0 
btusb                  15032  2 
mac80211              149696  2 iwl3945,iwlcore
snd_pcm                64932  2 snd_hda_intel,snd_hda_codec
bluetooth              78336  9 rfcomm,sco,bnep,l2cap,btusb
iTCO_vendor_support     2812  1 iTCO_wdt
firewire_ohci          19828  0 
sdhci_pci               7156  0 
snd_timer              17992  2 snd_seq,snd_pcm
sdhci                  17552  1 sdhci_pci
firewire_core          39676  1 firewire_ohci
cfg80211               73044  3 iwl3945,iwlcore,mac80211
snd                    50908  12 snd_hda_codec_idt,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
dell_laptop             4504  0 
soundcore               5672  1 snd
snd_page_alloc          7892  2 snd_hda_intel,snd_pcm
rfkill                 16220  5 bluetooth,cfg80211,dell_laptop
crc_itu_t               1620  1 firewire_core
wmi                     5952  0 
i2c_i801               10284  0 
dcdbas                  8524  1 dell_laptop
mmc_core               48656  1 sdhci
tg3                    92876  0 
joydev                  9320  0 
sha256_generic         11824  0 
aes_i586                7888  4 
aes_generic            26924  1 aes_i586
cbc                     3124  1 
dm_crypt               11284  1 
yenta_socket           23624  1 
rsrc_nonstatic         10036  1 yenta_socket
i915                  192208  2 
drm_kms_helper         22700  1 i915
drm                   136056  3 i915,drm_kms_helper
i2c_algo_bit            4820  1 i915
i2c_core               23352  4 i2c_i801,i915,drm,i2c_algo_bit
video                  19088  1 i915
output                  2468  1 video


lspci -vv

00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub (rev 03)
	Subsystem: Dell Device 0201
	Flags: bus master, fast devsel, latency 0
	Capabilities: [e0] Vendor Specific Information <?>
	Kernel driver in use: agpgart-intel

00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03) (prog-if 00 [VGA controller])
	Subsystem: Dell Device 0201
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at eff00000 (32-bit, non-prefetchable) [size=512K]
	I/O ports at eff8 [size=8]
	Memory at d0000000 (32-bit, prefetchable) [size=256M]
	Memory at efec0000 (32-bit, non-prefetchable) [size=256K]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: [90] MSI: Enable- Count=1/1 Maskable- 64bit-
	Capabilities: [d0] Power Management version 2
	Kernel driver in use: i915
	Kernel modules: i915

00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)
	Subsystem: Dell Device 0201
	Flags: bus master, fast devsel, latency 0
	Memory at eff80000 (32-bit, non-prefetchable) [size=512K]
	Capabilities: [d0] Power Management version 2

00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)
	Subsystem: Dell Device 0201
	Flags: bus master, fast devsel, latency 0, IRQ 21
	Memory at efebc000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [50] Power Management version 2
	Capabilities: [60] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [70] Express Root Complex Integrated Endpoint, MSI 00
	Capabilities: [100] Virtual Channel <?>
	Capabilities: [130] Root Complex Link <?>
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 01) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=0b, subordinate=0b, sec-latency=0
	Capabilities: [40] Express Root Port (Slot+), MSI 00
	Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [90] Subsystem: Dell Device 0201
	Capabilities: [a0] Power Management version 2
	Capabilities: [100] Virtual Channel <?>
	Capabilities: [180] Root Complex Link <?>
	Kernel driver in use: pcieport-driver

00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 01) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=0c, subordinate=0c, sec-latency=0
	Memory behind bridge: efd00000-efdfffff
	Capabilities: [40] Express Root Port (Slot+), MSI 00
	Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [90] Subsystem: Dell Device 0201
	Capabilities: [a0] Power Management version 2
	Capabilities: [100] Virtual Channel <?>
	Capabilities: [180] Root Complex Link <?>
	Kernel driver in use: pcieport-driver

00:1c.2 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 3 (rev 01) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=09, subordinate=09, sec-latency=0
	Memory behind bridge: efc00000-efcfffff
	Capabilities: [40] Express Root Port (Slot+), MSI 00
	Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [90] Subsystem: Dell Device 0201
	Capabilities: [a0] Power Management version 2
	Capabilities: [100] Virtual Channel <?>
	Capabilities: [180] Root Complex Link <?>
	Kernel driver in use: pcieport-driver

00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 (rev 01) (prog-if 00 [UHCI])
	Subsystem: Dell Device 0201
	Flags: bus master, medium devsel, latency 0, IRQ 20
	I/O ports at bf80 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 (rev 01) (prog-if 00 [UHCI])
	Subsystem: Dell Device 0201
	Flags: bus master, medium devsel, latency 0, IRQ 21
	I/O ports at bf60 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 (rev 01) (prog-if 00 [UHCI])
	Subsystem: Dell Device 0201
	Flags: bus master, medium devsel, latency 0, IRQ 22
	I/O ports at bf40 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 (rev 01) (prog-if 00 [UHCI])
	Subsystem: Dell Device 0201
	Flags: bus master, medium devsel, latency 0, IRQ 23
	I/O ports at bf20 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 01) (prog-if 20 [EHCI])
	Subsystem: Dell Device 0201
	Flags: bus master, medium devsel, latency 0, IRQ 20
	Memory at ffa80000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [50] Power Management version 2
	Capabilities: [58] Debug port: BAR=1 offset=00a0
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e1) (prog-if 01 [Subtractive decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=02, subordinate=06, sec-latency=32
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: efb00000-efbfffff
	Prefetchable memory behind bridge: 0000000080000000-0000000083ffffff
	Capabilities: [50] Subsystem: Dell Device 0201

00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 01)
	Subsystem: Dell Device 0201
	Flags: bus master, medium devsel, latency 0
	Capabilities: [e0] Vendor Specific Information <?>
	Kernel modules: iTCO_wdt, intel-rng

00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller (rev 01) (prog-if 8a [Master SecP PriP])
	Subsystem: Dell Device 0201
	Flags: bus master, medium devsel, latency 0, IRQ 16
	I/O ports at 01f0 [size=8]
	I/O ports at 03f4 [size=1]
	I/O ports at 0170 [size=8]
	I/O ports at 0374 [size=1]
	I/O ports at bfa0 [size=16]
	Kernel driver in use: ata_piix

00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 01)
	Subsystem: Dell Device 0201
	Flags: medium devsel, IRQ 17
	I/O ports at 10c0 [size=32]
	Kernel driver in use: i801_smbus
	Kernel modules: i2c-i801

02:01.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev b4)
	Subsystem: Dell Device 0201
	Flags: bus master, medium devsel, latency 168, IRQ 19
	Memory at efb00000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=02, secondary=03, subordinate=06, sec-latency=176
	Memory window 0: 80000000-83fff000 (prefetchable)
	Memory window 1: 84000000-87fff000
	I/O window 0: 00002000-000020ff
	I/O window 1: 00002400-000024ff
	16-bit legacy interface ports at 0001
	Kernel driver in use: yenta_cardbus
	Kernel modules: yenta_socket

02:01.1 FireWire (IEEE 1394): Ricoh Co Ltd R5C552 IEEE 1394 Controller (rev 09) (prog-if 10 [OHCI])
	Subsystem: Dell Device 0201
	Flags: bus master, medium devsel, latency 64, IRQ 17
	Memory at efbff800 (32-bit, non-prefetchable) [size=2K]
	Capabilities: [dc] Power Management version 2
	Kernel driver in use: firewire_ohci
	Kernel modules: firewire-ohci

02:01.2 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 18) (prog-if 01)
	Subsystem: Dell Device 0201
	Flags: bus master, medium devsel, latency 64, IRQ 18
	Memory at efbff700 (32-bit, non-prefetchable) [size=256]
	Capabilities: [80] Power Management version 2
	Kernel driver in use: sdhci-pci
	Kernel modules: sdhci-pci

09:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5752 Gigabit Ethernet PCI Express (rev 02)
	Subsystem: Dell Device 0201
	Flags: bus master, fast devsel, latency 0, IRQ 28
	Memory at efcf0000 (64-bit, non-prefetchable) [size=64K]
	Expansion ROM at <ignored> [disabled]
	Capabilities: [48] Power Management version 2
	Capabilities: [50] Vital Product Data
	Capabilities: [58] MSI: Enable+ Count=1/8 Maskable- 64bit+
	Capabilities: [d0] Express Endpoint, MSI 00
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [13c] Virtual Channel <?>
	Kernel driver in use: tg3
	Kernel modules: tg3

0c:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)
	Subsystem: Intel Corporation Device 1020
	Flags: bus master, fast devsel, latency 0, IRQ 27
	Memory at efdff000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [c8] Power Management version 2
	Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [e0] Express Legacy Endpoint, MSI 00
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [140] Device Serial Number 00-1c-bf-ff-ff-a9-11-97
	Kernel driver in use: iwl3945
	Kernel modules: iwl3945
Comment 4 Bug Zapper 2010-04-27 10:42:57 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 08:50:38 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.